#include<bits/stdc++.h>
using namespace std;
long long masiv[100000];
int main(){
cin.tie(NULL);
long long a,b, L,br=0;
cin>>a>>b>>L;
for(int x=1;x*a<=L;x++){
    for(int y=1;y*b<=L;y++){
        if(x*a+y*b<=L){
            masiv[x*a+y*b]=1;
        }
    }
}
for(int iv=1;iv<=L;iv++){
    if(masiv[iv]==1){
        br++;
    }
}
cout<<L-br;
return 0;
}